Skip to main content

Get all managed payout schedules on a balance account

get/balanceAccounts/{balanceAccountId}/payoutSchedules

Returns a list of all managed payout schedules that are configured on a balance account. You can use query parameters to filter the elements that are returned in the list.

Endpoint destination URL
https://balanceplatform-api-test.adyen.com/bcl/v2/balanceAccounts/{balanceAccountId}/payoutSchedules
Click to copy
limitinteger
Minimum: 1Maximum: 100

The number of items returned per page, maximum of 100 items. By default, the response returns 10 items per page.

cursorstring

The cursor returned in the links of the previous response.

currencystring

The three-character ISO currency code of the currency used in the payout schedule.

balanceAccountIdstringRequired

The unique identifier of the balance account.

After submitting a call, you receive a response message to inform you that your request was received and processed.

Depending on the HTTP status code of the response message, it is helpful to build some logic to handle any errors that a request or the system may return.

HTTP Responses

  • 200 - OK

    The request has succeeded.

  • 401 - Unauthorized

    Authentication required.

  • 403 - Forbidden

    Insufficient permissions to process the request.

  • 404 - Not Found

    The resource was not found

  • 422 - Unprocessable Entity

    A request validation error.

  • 500 - Internal Server Error

    The server could not process the request.